GetSyncHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ConnectorSyncDiagnostics.GetSyncHistory(ctx, operations.C1APIAppV1ConnectorSyncDiagnosticsServiceGetSyncHistoryRequest{
AppID: "<id>",
ConnectorID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetSyncHistoryResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"runs": [
{
"completedAt": "2023-11-07T05:31:56Z",
"confirmedValid": true,
"duration": "<string>",
"errorClass": "SYNC_ERROR_CLASS_UNSPECIFIED",
"errorSummary": "<string>",
"lambdaEnabled": true,
"lifecycleId": "<string>",
"releaseVersion": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "SYNC_LIFECYCLE_STATUS_UNSPECIFIED",
"syncRunStats": {
"c1zFileSizeBytes": "<string>",
"entitlements": "<string>",
"entitlementsByResourceType": {},
"grants": "<string>",
"grantsByResourceType": {},
"resourceTypes": "<string>",
"resources": "<string>",
"resourcesByResourceType": {}
},
"syncType": "<string>"
}
],
"streak": {
"failedRuns": 123,
"failureRatio": 123,
"finishedRuns": 123,
"firstFailedAt": "2023-11-07T05:31:56Z",
"firstFailedLifecycleId": "<string>"
}
}Connector Sync Diagnostics
Get Sync History
Get recent sync runs and their failure trend without configuration or synced records.
GET
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
sync_diagnostics
/
history
GetSyncHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ConnectorSyncDiagnostics.GetSyncHistory(ctx, operations.C1APIAppV1ConnectorSyncDiagnosticsServiceGetSyncHistoryRequest{
AppID: "<id>",
ConnectorID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetSyncHistoryResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/sync_diagnostics/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"runs": [
{
"completedAt": "2023-11-07T05:31:56Z",
"confirmedValid": true,
"duration": "<string>",
"errorClass": "SYNC_ERROR_CLASS_UNSPECIFIED",
"errorSummary": "<string>",
"lambdaEnabled": true,
"lifecycleId": "<string>",
"releaseVersion": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "SYNC_LIFECYCLE_STATUS_UNSPECIFIED",
"syncRunStats": {
"c1zFileSizeBytes": "<string>",
"entitlements": "<string>",
"entitlementsByResourceType": {},
"grants": "<string>",
"grantsByResourceType": {},
"resourceTypes": "<string>",
"resources": "<string>",
"resourcesByResourceType": {}
},
"syncType": "<string>"
}
],
"streak": {
"failedRuns": 123,
"failureRatio": 123,
"finishedRuns": 123,
"firstFailedAt": "2023-11-07T05:31:56Z",
"firstFailedLifecycleId": "<string>"
}
}Authorizations
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Response
200 - application/json
GetSyncHistoryResponse contains newest-first runs and the trend within that window.
GetSyncHistoryResponse contains newest-first runs and the trend within that window.
Was this page helpful?